Last modified: 2013-08-08 12:47:59 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 48492 - Clean up intro to InitialiseSettings.php
Clean up intro to InitialiseSettings.php
Status: RESOLVED FIXED
Product: Wikimedia
Classification: Unclassified
Site requests (Other open bugs)
wmf-deployment
All All
: Low trivial (vote)
: ---
Assigned To: This, that and the other (TTO)
:
Depends on:
Blocks: documentation
  Show dependency treegraph
 
Reported: 2013-05-15 02:49 UTC by MZMcBride
Modified: 2013-08-08 12:47 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description MZMcBride 2013-05-15 02:49:51 UTC
From <https://noc.wikimedia.org/conf/InitialiseSettings.php.txt>:

---
<?php
/**
 * vim: set sw=4 ts=4 noet foldmarker=@{,@} foldmethod=marker:
 * - recognize folding markers just like DefaultSettings.php
 * You need to use 'set modeline' to activate this feature.
 * za to toggle a fold
 * zA to toggle folds recursively
 * zR to open them all
 * zM close all folds
*/

# When editing Devanagari text, some editor/terminal combinations (vim +
# xterm/kconsole) cause problems.  Try an X editor instead if this happens
# (gvim works well for me) - river
# rev 73224
# öäü
# WARNING: This file is publically viewable on the web. Do not put private data here.
---

I'm not sure most of this needed, but my main concern is the revision number, as I think it's misleading. It doesn't seem to be used any longer. The line below can also probably go. A general examination of the intro would be good.
Comment 1 Matthew Flaschen 2013-05-15 10:23:52 UTC
You can propose a change.  It's in https://gerrit.wikimedia.org/r/gitweb?p=operations/mediawiki-config.git;a=summary .

I think the "öäü" falls under "better safe than sorry" (most editors these days should handle it, but no real reason to take it out).

I agree the "rev" is useless.
Comment 2 This, that and the other (TTO) 2013-07-25 11:48:14 UTC
Can we get rid of the human instructions on how to use vim? Surely those who use vim will know how to use it. And most of us don't use such things anyway.

It would be nice to put a notice saying what the file actually is. What distinguishes it from CommonSettings.php? What can be put in it (presumably any $wgX config variable known by MW)?
Comment 3 This, that and the other (TTO) 2013-07-26 07:56:46 UTC
Why is this assigned to me? I don't know what I'm doing.
Comment 4 MZMcBride 2013-07-26 07:59:55 UTC
(In reply to comment #3)
> I don't know what I'm doing.

Welcome to the club. :-)

> Why is this assigned to me?

Comment 2 was insightful and indicated you have a good idea of how to move forward with this bug.
Comment 5 Dereckson 2013-07-26 10:02:03 UTC
(In reply to comment #2)
> presumably any $wgX config variable known by MW)?
And arbitrary variables who trigger a configuration logic in CommonsSettings.php.


> What distinguishes it from CommonSettings.php?
InitialiseSettings.php describes the configuration, CommonsSettings.php includes the needed extensions and configures them when needed, based on the InitialiseSettings.php content.
Comment 6 This, that and the other (TTO) 2013-07-28 11:07:43 UTC
OK, I give in. It bugs me every time I go in to change a setting...
Comment 7 This, that and the other (TTO) 2013-07-28 11:30:57 UTC
come on bot... https://gerrit.wikimedia.org/r/#/c/76342/
Comment 8 Gerrit Notification Bot 2013-07-28 13:59:01 UTC
Change 76342 had a related patch set uploaded by Alex Monk:
Clean up headers in CommonSettings and InitialiseSettings

https://gerrit.wikimedia.org/r/76342
Comment 9 Gerrit Notification Bot 2013-08-08 08:47:02 UTC
Change 76342 merged by jenkins-bot:
Clean up headers in CommonSettings and InitialiseSettings

https://gerrit.wikimedia.org/r/76342
Comment 10 This, that and the other (TTO) 2013-08-08 09:50:43 UTC
Is this done, MZM? Any more you want cleaned?
Comment 11 MZMcBride 2013-08-08 12:47:59 UTC
(In reply to comment #10)
> Is this done, MZM?

Yep, thanks!

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links